using System;

namespace Dapfor.Net.Demo.Examples.GridBasics.HitTesting
{
    public class ChildClass
    {
        private readonly int idRoot;
        private readonly int idChild;
        private DateTime date;
        private int index;
        private TimeSpan period;

        public ChildClass(int idRoot, int idChild, DateTime date, int index, TimeSpan period)
        {
            this.idRoot = idRoot;
            this.idChild = idChild;
            this.date = date;
            this.index = index;
            this.period = period;
        }

        public DateTime Date
        {
            get { return date; }
            set { date = value; }
        }

        public int Index
        {
            get { return index; }
            set { index = value; }
        }

        public TimeSpan Period
        {
            get { return period; }
            set { period = value; }
        }

        public override string ToString()
        {
            return string.Format("ChildClass {0},{1}", idRoot, idChild);
        }
    }
}
